Index: lemon/dim2.h
===================================================================
--- lemon/dim2.h	(revision 39)
+++ lemon/dim2.h	(revision 42)
@@ -534,8 +534,8 @@
 
 
-  ///Map of x-coordinates of a \ref Point "Point"-map
-
-  ///\ingroup maps
-  ///Map of x-coordinates of a \ref Point "Point"-map.
+  ///Map of x-coordinates of a Point map
+
+  ///\ingroup maps
+  ///Map of x-coordinates of a \ref dim2::Point "Point"-map.
   ///
   template<class M>
@@ -571,5 +571,5 @@
   }
 
-  ///Constant (read only) version of \ref XMap
+  ///Constant (read only) version of XMap
 
   ///\ingroup maps
@@ -601,5 +601,5 @@
   }
 
-  ///Map of y-coordinates of a \ref Point "Point"-map
+  ///Map of y-coordinates of a Point map
     
   ///\ingroup maps
@@ -638,5 +638,5 @@
   }
 
-  ///Constant (read only) version of \ref YMap
+  ///Constant (read only) version of YMap
 
   ///\ingroup maps
@@ -669,6 +669,6 @@
 
 
-    ///\brief Map of the \ref Point::normSquare() "normSquare()"
-    ///of a \ref Point "Point"-map
+    ///\brief Map of the normSquare()
+    ///of a Point map
     ///
     ///Map of the \ref Point::normSquare() "normSquare()"
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 39)
+++ lemon/maps.h	(revision 42)
@@ -175,11 +175,11 @@
 
     typedef True ReferenceMapTag;
-    ///\e
+    ///Key type
     typedef K Key;
-    ///\e
+    ///Value type
     typedef T Value;
-    ///\e
+    ///Reference Type
     typedef T& Reference;
-    ///\e
+    ///Const reference type
     typedef const T& ConstReference;
 
Index: lemon/tolerance.h
===================================================================
--- lemon/tolerance.h	(revision 39)
+++ lemon/tolerance.h	(revision 42)
@@ -42,5 +42,5 @@
   ///
   ///This is an abstract class, it should be specialized for all numerical
-  ///data types. These specialized classes like \ref Tolerance\<double\>
+  ///data types. These specialized classes like Tolerance<double>
   ///may offer additional tuning parameters.
   ///
@@ -92,7 +92,7 @@
 
 
-  ///Float specialization of \ref Tolerance.
-
-  ///Float specialization of \ref Tolerance.
+  ///Float specialization of Tolerance.
+
+  ///Float specialization of Tolerance.
   ///\sa Tolerance
   ///\relates Tolerance
@@ -143,7 +143,7 @@
   };
 
-  ///Double specialization of \ref Tolerance.
-
-  ///Double specialization of \ref Tolerance.
+  ///Double specialization of Tolerance.
+
+  ///Double specialization of Tolerance.
   ///\sa Tolerance
   ///\relates Tolerance
@@ -194,7 +194,7 @@
   };
 
-  ///Long double specialization of \ref Tolerance.
-
-  ///Long double specialization of \ref Tolerance.
+  ///Long double specialization of Tolerance.
+
+  ///Long double specialization of Tolerance.
   ///\sa Tolerance
   ///\relates Tolerance
@@ -245,7 +245,7 @@
   };
 
-  ///Integer specialization of \ref Tolerance.
-
-  ///Integer specialization of \ref Tolerance.
+  ///Integer specialization of Tolerance.
+
+  ///Integer specialization of Tolerance.
   ///\sa Tolerance
   template<>
@@ -257,5 +257,5 @@
 
     ///\name Comparisons
-    ///See \ref Tolerance for more details.
+    ///See Tolerance for more details.
 
     ///@{
@@ -278,7 +278,7 @@
   };
 
+  ///Unsigned integer specialization of Tolerance.
+
   ///Unsigned integer specialization of \ref Tolerance.
-
-  ///Unsigned integer specialization of \ref Tolerance.
   ///\sa Tolerance
   template<>
@@ -290,5 +290,5 @@
 
     ///\name Comparisons
-    ///See \ref Tolerance for more details.
+    ///See Tolerance for more details.
 
     ///@{
@@ -312,7 +312,7 @@
   
 
-  ///Long integer specialization of \ref Tolerance.
-
-  ///Long integer specialization of \ref Tolerance.
+  ///Long integer specialization of Tolerance.
+
+  ///Long integer specialization of Tolerance.
   ///\sa Tolerance
   template<>
@@ -324,5 +324,5 @@
 
     ///\name Comparisons
-    ///See \ref Tolerance for more details.
+    ///See Tolerance for more details.
 
     ///@{
@@ -345,7 +345,7 @@
   };
 
+  ///Unsigned long integer specialization of Tolerance.
+
   ///Unsigned long integer specialization of \ref Tolerance.
-
-  ///Unsigned long integer specialization of \ref Tolerance.
   ///\sa Tolerance
   template<>
@@ -357,5 +357,5 @@
 
     ///\name Comparisons
-    ///See \ref Tolerance for more details.
+    ///See Tolerance for more details.
 
     ///@{
@@ -380,5 +380,5 @@
 #if defined __GNUC__ && !defined __STRICT_ANSI__
 
-  ///Long long integer specialization of \ref Tolerance.
+  ///Long long integer specialization of Tolerance.
 
   ///Long long integer specialization of \ref Tolerance.
@@ -415,5 +415,5 @@
   };
 
-  ///Unsigned long long integer specialization of \ref Tolerance.
+  ///Unsigned long long integer specialization of Tolerance.
 
   ///Unsigned long long integer specialization of \ref Tolerance.
